Package org.apache.tomcat.websocket

## Class AuthenticationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.tomcat.websocket.AuthenticationException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class AuthenticationException
      extends java.lang.Exception

  Exception thrown on authentication error connecting to a remote websocket endpoint.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuthenticationException​(java.lang.String message)` | Create authentication exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticationException

          public AuthenticationException​(java.lang.String message)

      Create authentication exception.
      Parameters:
        `message` - the error message